<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
EdmGetMsgFlag Enumeration
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : EdmGetMsgFlag Enumeration

Visual Basic
C#
C++/CLI
Types of message returned used in calls to IEdmInbox5::GetFirstMessagePosition.

# Syntax

Visual Basic |
--- | ---

    Public Enum EdmGetMsgFlag
       Inherits System.Enum

C# |
--- | ---

    public enum EdmGetMsgFlag : System.Enum

C++/CLI |
--- | ---

    public enum class EdmGetMsgFlag : public System.Enum

# Members

Member | Description
--- | ---
EdmGetMsg_Notifications | 4 = Return only file or folder notifications
EdmGetMsg_OnlyNew | 1 = Return only messages that have not been processed before
EdmGetMsg_OnlyUnread | 8 = Return only messages having the IEdmMessage5::IsRead flag set to true
EdmGetMsg_UserMessages | 2 = Return only messages sent from users

# See Also

####

EPDM.Interop.epdm Namespace